summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBryce Harrington <bryce@osg.samsung.com>2015-05-27 15:34:20 -0700
committerBryce Harrington <bryce@osg.samsung.com>2015-05-27 15:34:20 -0700
commitc19d5e1867ef179f118f164a3457cb5366cf4055 (patch)
treec173576a7d090c98a110ba7c11d8d53574de4615
parent6ffd998a98ca76ff2ff64617516fe1d6d34100a3 (diff)
publish-doc: Add script for publishing docs to the website
Adapted from same-named script from libinput.
-rwxr-xr-xpublish-doc15
1 files changed, 15 insertions, 0 deletions
diff --git a/publish-doc b/publish-doc
new file mode 100755
index 0000000..80fc22a
--- /dev/null
+++ b/publish-doc
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+[ -e doc ] || (echo "Run this from the project root" && exit 1)
+
+make
+
+DOC_HTML=./doc/publican/Wayland/en-US/html/
+
+[ -e "${DOC_HTML}" ] || (echo "HTML documentation failed to build at ${DOC_HTML}" && exit 1)
+
+chmod -R g+x ${DOC_HTML}
+
+rsync --delete -avz ${DOC_HTML} freedesktop.org:/srv/wayland.freedesktop.org/www/docs/html/